Subject: Re: bug#21255: 24.5; Buggy fringe display on Mac

From: Yutian Li | 李雨田 <[email-masked]>
Date: Wed, 01 Jun 2016 08:23:45 +0000

Hi Alan,

I added `(set-frame-parameter nil `left-fringe -8)` to my `init.el` on Mac
to circumvent this problem.

I guess somehow the default fringe size on Mac is different than that on
Linux for some reason.

But it works perfectly at least for now.

Thanks for getting back to me :)

On Sat, May 28, 2016 at 3:27 AM Alan Third <[email-masked]> wrote:

> Yutian Li <[email-masked]> writes:
>
> > I'm using Emacs for Mac OS X (http://emacsformacosx.com/) on OS X
> > 10.10.4.
> >
> > As the screenshot (http://i.imgur.com/bdRS465.png) shows, the fringe
> > misses a left border.
> >
> > On Linux with GTK+2, the fringe works as expected (in plugin `diff-hl`).
>
> Hi, sorry nobody's got back to you before now.
>
> I'm not sure I understand what you mean. I can't see any substantial
> difference between the rendering of the GTK+ and NS fringes.
>
> Are you able to get a screenshot from GTK+ that shows what you mean?
> --
> Alan Third
>
-- 
Best regards,

Yutian Li